<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="io.renren.modules.aspen.dao.TElecdashboardHourDao">

    <insert id="insertTElecdashboardHour" parameterType="io.renren.modules.aspen.entity.TElecdashboardHourEntity">
        <selectKey keyProperty="id" resultType="long" order="BEFORE">
            SELECT SEQ_T_ELECDASHBOARD_HOUR.NEXTVAL as id FROM DUAL
        </selectKey>
        insert into T_ELECDASHBOARD_HOUR
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">id,</if>
            <if test="pullDate != null">pull_date,</if>
            <if test="gtg1PowerGenLevel != null">gtg1_power_gen_level,</if>
            <if test="gtg1Efficiency != null">gtg1_efficiency,</if>
            <if test="gtg2PowerGenLevel != null">gtg2_power_gen_level,</if>
            <if test="gtg2Efficiency != null">gtg2_efficiency,</if>
            <if test="gtg3PowerGenLevel != null">gtg3_power_gen_level,</if>
            <if test="gtg3Efficiency != null">gtg3_efficiency,</if>
            <if test="stgPowerGenLevel != null">stg_power_gen_level,</if>
            <if test="stgEfficiency != null">stg_efficiency,</if>
            <if test="totalPowerGen != null">total_power_gen,</if>
            <if test="totalEfficiency != null">total_efficiency,</if>
            <if test="steamHhp != null">steam_hhp,</if>
            <if test="steamHp != null">steam_hp,</if>
            <if test="steamMp != null">steam_mp,</if>
            <if test="steamLp != null">steam_lp,</if>
            <if test="gasRealTime != null">gas_real_time,</if>
            <if test="gasLeft != null">gas_left,</if>
            <if test="gasUsed != null">gas_used,</if>
            <if test="gasPlan != null">gas_plan,</if>
            <if test="gasElec != null">gas_elec,</if>
            <if test="gasSynGas != null">gas_syn_gas,</if>
            <if test="gasU2 != null">gas_u2,</if>
            <if test="gasStyrene != null">gas_styrene,</if>
            <if test="elecPowerGen != null">elec_power_gen,</if>
            <if test="elecPowerSwitch != null">elec_power_switch,</if>
            <if test="elecUsed != null">elec_used,</if>
            <if test="elecDiff != null">elec_diff,</if>
            <if test="elecBycUsed != null">elec_byc_used,</if>
            <if test="elecBocUsed != null">elec_boc_used,</if>
            <if test="carbonUsed != null">carbon_used,</if>
            <if test="carbonRealTime != null">carbon_real_time,</if>
            <if test="sub != null">sub,</if>
            <if test="subFurnaceLoad != null">sub_furnace_load,</if>
            <if test="hhpPphhp != null">hhp_pphhp,</if>
            <if test="hhpAaae != null">hhp_aaae,</if>
            <if test="hhpGaa != null">hhp_gaa,</if>
            <if test="hhpSyn != null">hhp_syn,</if>
            <if test="hhpP3802 != null">hhp_p3802,</if>
            <if test="hpLpg != null">hp_lpg,</if>
            <if test="hpSub != null">hp_sub,</if>
            <if test="hpNg != null">hp_ng,</if>
            <if test="hpJ1501 != null">hp_j1501,</if>
            <if test="hpJ1504In != null">hp_j1504_in,</if>
            <if test="hpJ1504Out != null">hp_j1504_out,</if>
            <if test="hpUser != null">hp_user,</if>
            <if test="mpNcipMp != null">mp_ncip_mp,</if>
            <if test="mp150511 != null">mp150511,</if>
            <if test="mp150512 != null">mp150512,</if>
            <if test="mpPpMp != null">mp_pp_mp,</if>
            <if test="mpP9801In != null">mp_p9801_in,</if>
            <if test="mpP9801Out != null">mp_p9801_out,</if>
            <if test="mpJ1502 != null">mp_j1502,</if>
            <if test="mpUser != null">mp_user,</if>
            <if test="lpPpLp != null">lp_pp_lp,</if>
            <if test="lpEmpty != null">lp_empty,</if>
            <if test="lpMpLetdown != null">lp_mp_letdown,</if>
            <if test="lpJ1509 != null">lp_j1509,</if>
            <if test="lpJ1503 != null">lp_j1503,</if>
            <if test="lpLdpeTs != null">lp_ldpe_ts,</if>
            <if test="lpLdpeDm != null">lp_ldpe_dm,</if>
            <if test="lpUser != null">lp_user,</if>
            <if test="bccSyn != null">bcc_syn,</if>
            <if test="bccYpc != null">bcc_ypc,</if>
            <if test="hrsg1SmokeConvert != null">hrsg1_smoke_convert,</if>
            <if test="hrsg1So2Convert != null">hrsg1_so2_convert,</if>
            <if test="hrsg1NoxConvert != null">hrsg1_nox_convert,</if>
            <if test="hrsg2SmokeConvert != null">hrsg2_smoke_convert,</if>
            <if test="hrsg2So2Convert != null">hrsg2_so2_convert,</if>
            <if test="hrsg2NoxConvert != null">hrsg2_nox_convert,</if>
            <if test="hrsg3SmokeConvert != null">hrsg3_smoke_convert,</if>
            <if test="hrsg3So2Convert != null">hrsg3_so2_convert,</if>
            <if test="hrsg3NoxConvert != null">hrsg3_nox_convert,</if>
            <if test="rainPh != null">rain_ph,</if>
            <if test="rainCod != null">rain_cod,</if>
            <if test="wastePh != null">waste_ph,</if>
            <if test="wasteCod != null">waste_cod,</if>
            <if test="gtg45ha1 != null">gtg45ha1,</if>
            <if test="gtg45ha2 != null">gtg45ha2,</if>
            <if test="gtg45ha3 != null">gtg45ha3,</if>
            <if test="gtg45ha4 != null">gtg45ha4,</if>
            <if test="gtg45ha5 != null">gtg45ha5,</if>
            <if test="gtg45ha6 != null">gtg45ha6,</if>
            <if test="gtg45ha7 != null">gtg45ha7,</if>
            <if test="gtg45ha8 != null">gtg45ha8,</if>
            <if test="gtg45ha9 != null">gtg45ha9,</if>
            <if test="gtg45ht1 != null">gtg45ht1,</if>
            <if test="gtg45ht2 != null">gtg45ht2,</if>
            <if test="gtg45ht3 != null">gtg45ht3,</if>
            <if test="gtg45ht4 != null">gtg45ht4,</if>
            <if test="gtg45ht5 != null">gtg45ht5,</if>
            <if test="gtg45ht6 != null">gtg45ht6,</if>
            <if test="qt61001 != null">qt61001,</if>
            <if test="qt61002 != null">qt61002,</if>
            <if test="qt61003 != null">qt61003,</if>
            <if test="qt61004 != null">qt61004,</if>
            <if test="qt61005 != null">qt61005,</if>
            <if test="qt61101 != null">qt61101,</if>
            <if test="qt61102 != null">qt61102,</if>
            <if test="qt61103 != null">qt61103,</if>
            <if test="qt61104 != null">qt61104,</if>
            <if test="qt61105 != null">qt61105,</if>
            <if test="qt76001 != null">qt76001,</if>
            <if test="qt76002 != null">qt76002,</if>
            <if test="qt76041 != null">qt76041,</if>
            <if test="qt80001 != null">qt80001,</if>
            <if test="qt80002 != null">qt80002,</if>
            <if test="qt80003 != null">qt80003,</if>
            <if test="qt91001 != null">qt91001,</if>
            <if test="qt91002 != null">qt91002,</if>
            <if test="qt91003 != null">qt91003,</if>
            <if test="qt91004 != null">qt91004,</if>
            <if test="qt91005 != null">qt91005,</if>
            <if test="qt91006 != null">qt91006,</if>
            <if test="qt91011 != null">qt91011,</if>
            <if test="qt91012 != null">qt91012,</if>
            <if test="qt91013 != null">qt91013,</if>
            <if test="at83001 != null">at83001,</if>
            <if test="at83002 != null">at83002,</if>
            <if test="at83003 != null">at83003,</if>
            <if test="at83004 != null">at83004,</if>
            <if test="qt12001 != null">qt12001,</if>
            <if test="qt12501 != null">qt12501,</if>
            <if test="qt12502 != null">qt12502,</if>
            <if test="qt22001 != null">qt22001,</if>
            <if test="qt22501 != null">qt22501,</if>
            <if test="qt22502 != null">qt22502,</if>
            <if test="qt32001 != null">qt32001,</if>
            <if test="qt32002 != null">qt32002,</if>
            <if test="qt32005 != null">qt32005,</if>
            <if test="qt32003 != null">qt32003,</if>
            <if test="qt32004 != null">qt32004,</if>
            <if test="ai82002 != null">ai82002,</if>
            <if test="ai82003 != null">ai82003,</if>
            <if test="ai82004 != null">ai82004,</if>
            <if test="ai82005 != null">ai82005,</if>
            <if test="ai82006 != null">ai82006,</if>
            <if test="ai82007 != null">ai82007,</if>
            <if test="ai82008 != null">ai82008,</if>
            <if test="ai82009 != null">ai82009,</if>
            <if test="ai82010 != null">ai82010,</if>
            <if test="ai82011 != null">ai82011,</if>
            <if test="ai82101 != null">ai82101,</if>
            <if test="ai82102 != null">ai82102,</if>
            <if test="ai82103 != null">ai82103,</if>
            <if test="ai82104 != null">ai82104,</if>
            <if test="ai82105 != null">ai82105,</if>
            <if test="ai82106 != null">ai82106,</if>
            <if test="ai82107 != null">ai82107,</if>
            <if test="ai82108 != null">ai82108,</if>
            <if test="ai82109 != null">ai82109,</if>
            <if test="ai82110 != null">ai82110,</if>
            <if test="ai82111 != null">ai82111,</if>
            <if test="ai82112 != null">ai82112,</if>
            <if test="ai82113 != null">ai82113,</if>
            <if test="hrsg1Ai82201 != null">hrsg1_ai82201,</if>
            <if test="hrsg1Ai82202 != null">hrsg1_ai82202,</if>
            <if test="hrsg1Ai82203 != null">hrsg1_ai82203,</if>
            <if test="hrsg1Ai82204 != null">hrsg1_ai82204,</if>
            <if test="hrsg1Ai82205 != null">hrsg1_ai82205,</if>
            <if test="hrsg1Ai82206 != null">hrsg1_ai82206,</if>
            <if test="hrsg1Ai82207 != null">hrsg1_ai82207,</if>
            <if test="hrsg1Ai82208 != null">hrsg1_ai82208,</if>
            <if test="hrsg1Ai82209 != null">hrsg1_ai82209,</if>
            <if test="hrsg1Ai82210 != null">hrsg1_ai82210,</if>
            <if test="hrsg1Ai82211 != null">hrsg1_ai82211,</if>
            <if test="hrsg1Ai82212 != null">hrsg1_ai82212,</if>
            <if test="hrsg1Air12551 != null">hrsg1_air12551,</if>
            <if test="hrsg1Air12552 != null">hrsg1_air12552,</if>
            <if test="hrsg1Air12553 != null">hrsg1_air12553,</if>
            <if test="hrsg1Air12554 != null">hrsg1_air12554,</if>
            <if test="hrsg1Air12555 != null">hrsg1_air12555,</if>
            <if test="hrsg1Air12556 != null">hrsg1_air12556,</if>
            <if test="hrsg1Air12557 != null">hrsg1_air12557,</if>
            <if test="hrsg1Air12558 != null">hrsg1_air12558,</if>
            <if test="hrsg2Ai82301 != null">hrsg2_ai82301,</if>
            <if test="hrsg2Ai82302 != null">hrsg2_ai82302,</if>
            <if test="hrsg2Ai82303 != null">hrsg2_ai82303,</if>
            <if test="hrsg2Ai82304 != null">hrsg2_ai82304,</if>
            <if test="hrsg2Ai82305 != null">hrsg2_ai82305,</if>
            <if test="hrsg2Ai82306 != null">hrsg2_ai82306,</if>
            <if test="hrsg2Ai82307 != null">hrsg2_ai82307,</if>
            <if test="hrsg2Ai82308 != null">hrsg2_ai82308,</if>
            <if test="hrsg2Ai82309 != null">hrsg2_ai82309,</if>
            <if test="hrsg2Ai82310 != null">hrsg2_ai82310,</if>
            <if test="hrsg2Ai82311 != null">hrsg2_ai82311,</if>
            <if test="hrsg2Ai82312 != null">hrsg2_ai82312,</if>
            <if test="hrsg2Air22551 != null">hrsg2_air22551,</if>
            <if test="hrsg2Air22552 != null">hrsg2_air22552,</if>
            <if test="hrsg2Air22553 != null">hrsg2_air22553,</if>
            <if test="hrsg2Air22554 != null">hrsg2_air22554,</if>
            <if test="hrsg2Air22555 != null">hrsg2_air22555,</if>
            <if test="hrsg2Air22556 != null">hrsg2_air22556,</if>
            <if test="hrsg2Air22557 != null">hrsg2_air22557,</if>
            <if test="hrsg2Air22558 != null">hrsg2_air22558,</if>
            <if test="hrsg2Qi22240 != null">hrsg2_qi22240,</if>
            <if test="hrsg2Qi22241 != null">hrsg2_qi22241,</if>
            <if test="hrsg2Qi22242 != null">hrsg2_qi22242,</if>
            <if test="hrsg3Ai82401 != null">hrsg3_ai82401,</if>
            <if test="hrsg3Ai82402 != null">hrsg3_ai82402,</if>
            <if test="hrsg3Ai82403 != null">hrsg3_ai82403,</if>
            <if test="hrsg3Ai82404 != null">hrsg3_ai82404,</if>
            <if test="hrsg3Ai82405 != null">hrsg3_ai82405,</if>
            <if test="hrsg3Ai82406 != null">hrsg3_ai82406,</if>
            <if test="hrsg3Ai82407 != null">hrsg3_ai82407,</if>
            <if test="hrsg3Ai82408 != null">hrsg3_ai82408,</if>
            <if test="hrsg3Ai82409 != null">hrsg3_ai82409,</if>
            <if test="hrsg3Ai82410 != null">hrsg3_ai82410,</if>
            <if test="hrsg3Ai82411 != null">hrsg3_ai82411,</if>
            <if test="hrsg3Ai82412 != null">hrsg3_ai82412,</if>
            <if test="hrsg3Air32551 != null">hrsg3_air32551,</if>
            <if test="hrsg3Air32552 != null">hrsg3_air32552,</if>
            <if test="hrsg3Air32553 != null">hrsg3_air32553,</if>
            <if test="hrsg3Air32554 != null">hrsg3_air32554,</if>
            <if test="hrsg3Air32555 != null">hrsg3_air32555,</if>
            <if test="hrsg3Air32556 != null">hrsg3_air32556,</if>
            <if test="hrsg3Air32557 != null">hrsg3_air32557,</if>
            <if test="hrsg3Air32558 != null">hrsg3_air32558,</if>
            <if test="hrsg3Qi32240 != null">hrsg3_qi32240,</if>
            <if test="hrsg3Qi32241 != null">hrsg3_qi32241,</if>
            <if test="hrsg3Qi32242 != null">hrsg3_qi32242,</if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">#{id},</if>
            <if test="pullDate != null">#{pullDate},</if>
            <if test="gtg1PowerGenLevel != null">#{gtg1PowerGenLevel},</if>
            <if test="gtg1Efficiency != null">#{gtg1Efficiency},</if>
            <if test="gtg2PowerGenLevel != null">#{gtg2PowerGenLevel},</if>
            <if test="gtg2Efficiency != null">#{gtg2Efficiency},</if>
            <if test="gtg3PowerGenLevel != null">#{gtg3PowerGenLevel},</if>
            <if test="gtg3Efficiency != null">#{gtg3Efficiency},</if>
            <if test="stgPowerGenLevel != null">#{stgPowerGenLevel},</if>
            <if test="stgEfficiency != null">#{stgEfficiency},</if>
            <if test="totalPowerGen != null">#{totalPowerGen},</if>
            <if test="totalEfficiency != null">#{totalEfficiency},</if>
            <if test="steamHhp != null">#{steamHhp},</if>
            <if test="steamHp != null">#{steamHp},</if>
            <if test="steamMp != null">#{steamMp},</if>
            <if test="steamLp != null">#{steamLp},</if>
            <if test="gasRealTime != null">#{gasRealTime},</if>
            <if test="gasLeft != null">#{gasLeft},</if>
            <if test="gasUsed != null">#{gasUsed},</if>
            <if test="gasPlan != null">#{gasPlan},</if>
            <if test="gasElec != null">#{gasElec},</if>
            <if test="gasSynGas != null">#{gasSynGas},</if>
            <if test="gasU2 != null">#{gasU2},</if>
            <if test="gasStyrene != null">#{gasStyrene},</if>
            <if test="elecPowerGen != null">#{elecPowerGen},</if>
            <if test="elecPowerSwitch != null">#{elecPowerSwitch},</if>
            <if test="elecUsed != null">#{elecUsed},</if>
            <if test="elecDiff != null">#{elecDiff},</if>
            <if test="elecBycUsed != null">#{elecBycUsed},</if>
            <if test="elecBocUsed != null">#{elecBocUsed},</if>
            <if test="carbonUsed != null">#{carbonUsed},</if>
            <if test="carbonRealTime != null">#{carbonRealTime},</if>
            <if test="sub != null">#{sub},</if>
            <if test="subFurnaceLoad != null">#{subFurnaceLoad},</if>
            <if test="hhpPphhp != null">#{hhpPphhp},</if>
            <if test="hhpAaae != null">#{hhpAaae},</if>
            <if test="hhpGaa != null">#{hhpGaa},</if>
            <if test="hhpSyn != null">#{hhpSyn},</if>
            <if test="hhpP3802 != null">#{hhpP3802},</if>
            <if test="hpLpg != null">#{hpLpg},</if>
            <if test="hpSub != null">#{hpSub},</if>
            <if test="hpNg != null">#{hpNg},</if>
            <if test="hpJ1501 != null">#{hpJ1501},</if>
            <if test="hpJ1504In != null">#{hpJ1504In},</if>
            <if test="hpJ1504Out != null">#{hpJ1504Out},</if>
            <if test="hpUser != null">#{hpUser},</if>
            <if test="mpNcipMp != null">#{mpNcipMp},</if>
            <if test="mp150511 != null">#{mp150511},</if>
            <if test="mp150512 != null">#{mp150512},</if>
            <if test="mpPpMp != null">#{mpPpMp},</if>
            <if test="mpP9801In != null">#{mpP9801In},</if>
            <if test="mpP9801Out != null">#{mpP9801Out},</if>
            <if test="mpJ1502 != null">#{mpJ1502},</if>
            <if test="mpUser != null">#{mpUser},</if>
            <if test="lpPpLp != null">#{lpPpLp},</if>
            <if test="lpEmpty != null">#{lpEmpty},</if>
            <if test="lpMpLetdown != null">#{lpMpLetdown},</if>
            <if test="lpJ1509 != null">#{lpJ1509},</if>
            <if test="lpJ1503 != null">#{lpJ1503},</if>
            <if test="lpLdpeTs != null">#{lpLdpeTs},</if>
            <if test="lpLdpeDm != null">#{lpLdpeDm},</if>
            <if test="lpUser != null">#{lpUser},</if>
            <if test="bccSyn != null">#{bccSyn},</if>
            <if test="bccYpc != null">#{bccYpc},</if>
            <if test="hrsg1SmokeConvert != null">#{hrsg1SmokeConvert},</if>
            <if test="hrsg1So2Convert != null">#{hrsg1So2Convert},</if>
            <if test="hrsg1NoxConvert != null">#{hrsg1NoxConvert},</if>
            <if test="hrsg2SmokeConvert != null">#{hrsg2SmokeConvert},</if>
            <if test="hrsg2So2Convert != null">#{hrsg2So2Convert},</if>
            <if test="hrsg2NoxConvert != null">#{hrsg2NoxConvert},</if>
            <if test="hrsg3SmokeConvert != null">#{hrsg3SmokeConvert},</if>
            <if test="hrsg3So2Convert != null">#{hrsg3So2Convert},</if>
            <if test="hrsg3NoxConvert != null">#{hrsg3NoxConvert},</if>
            <if test="rainPh != null">#{rainPh},</if>
            <if test="rainCod != null">#{rainCod},</if>
            <if test="wastePh != null">#{wastePh},</if>
            <if test="wasteCod != null">#{wasteCod},</if>
            <if test="gtg45ha1 != null">#{gtg45ha1},</if>
            <if test="gtg45ha2 != null">#{gtg45ha2},</if>
            <if test="gtg45ha3 != null">#{gtg45ha3},</if>
            <if test="gtg45ha4 != null">#{gtg45ha4},</if>
            <if test="gtg45ha5 != null">#{gtg45ha5},</if>
            <if test="gtg45ha6 != null">#{gtg45ha6},</if>
            <if test="gtg45ha7 != null">#{gtg45ha7},</if>
            <if test="gtg45ha8 != null">#{gtg45ha8},</if>
            <if test="gtg45ha9 != null">#{gtg45ha9},</if>
            <if test="gtg45ht1 != null">#{gtg45ht1},</if>
            <if test="gtg45ht2 != null">#{gtg45ht2},</if>
            <if test="gtg45ht3 != null">#{gtg45ht3},</if>
            <if test="gtg45ht4 != null">#{gtg45ht4},</if>
            <if test="gtg45ht5 != null">#{gtg45ht5},</if>
            <if test="gtg45ht6 != null">#{gtg45ht6},</if>
            <if test="qt61001 != null">#{qt61001},</if>
            <if test="qt61002 != null">#{qt61002},</if>
            <if test="qt61003 != null">#{qt61003},</if>
            <if test="qt61004 != null">#{qt61004},</if>
            <if test="qt61005 != null">#{qt61005},</if>
            <if test="qt61101 != null">#{qt61101},</if>
            <if test="qt61102 != null">#{qt61102},</if>
            <if test="qt61103 != null">#{qt61103},</if>
            <if test="qt61104 != null">#{qt61104},</if>
            <if test="qt61105 != null">#{qt61105},</if>
            <if test="qt76001 != null">#{qt76001},</if>
            <if test="qt76002 != null">#{qt76002},</if>
            <if test="qt76041 != null">#{qt76041},</if>
            <if test="qt80001 != null">#{qt80001},</if>
            <if test="qt80002 != null">#{qt80002},</if>
            <if test="qt80003 != null">#{qt80003},</if>
            <if test="qt91001 != null">#{qt91001},</if>
            <if test="qt91002 != null">#{qt91002},</if>
            <if test="qt91003 != null">#{qt91003},</if>
            <if test="qt91004 != null">#{qt91004},</if>
            <if test="qt91005 != null">#{qt91005},</if>
            <if test="qt91006 != null">#{qt91006},</if>
            <if test="qt91011 != null">#{qt91011},</if>
            <if test="qt91012 != null">#{qt91012},</if>
            <if test="qt91013 != null">#{qt91013},</if>
            <if test="at83001 != null">#{at83001},</if>
            <if test="at83002 != null">#{at83002},</if>
            <if test="at83003 != null">#{at83003},</if>
            <if test="at83004 != null">#{at83004},</if>
            <if test="qt12001 != null">#{qt12001},</if>
            <if test="qt12501 != null">#{qt12501},</if>
            <if test="qt12502 != null">#{qt12502},</if>
            <if test="qt22001 != null">#{qt22001},</if>
            <if test="qt22501 != null">#{qt22501},</if>
            <if test="qt22502 != null">#{qt22502},</if>
            <if test="qt32001 != null">#{qt32001},</if>
            <if test="qt32002 != null">#{qt32002},</if>
            <if test="qt32005 != null">#{qt32005},</if>
            <if test="qt32003 != null">#{qt32003},</if>
            <if test="qt32004 != null">#{qt32004},</if>
            <if test="ai82002 != null">#{ai82002},</if>
            <if test="ai82003 != null">#{ai82003},</if>
            <if test="ai82004 != null">#{ai82004},</if>
            <if test="ai82005 != null">#{ai82005},</if>
            <if test="ai82006 != null">#{ai82006},</if>
            <if test="ai82007 != null">#{ai82007},</if>
            <if test="ai82008 != null">#{ai82008},</if>
            <if test="ai82009 != null">#{ai82009},</if>
            <if test="ai82010 != null">#{ai82010},</if>
            <if test="ai82011 != null">#{ai82011},</if>
            <if test="ai82101 != null">#{ai82101},</if>
            <if test="ai82102 != null">#{ai82102},</if>
            <if test="ai82103 != null">#{ai82103},</if>
            <if test="ai82104 != null">#{ai82104},</if>
            <if test="ai82105 != null">#{ai82105},</if>
            <if test="ai82106 != null">#{ai82106},</if>
            <if test="ai82107 != null">#{ai82107},</if>
            <if test="ai82108 != null">#{ai82108},</if>
            <if test="ai82109 != null">#{ai82109},</if>
            <if test="ai82110 != null">#{ai82110},</if>
            <if test="ai82111 != null">#{ai82111},</if>
            <if test="ai82112 != null">#{ai82112},</if>
            <if test="ai82113 != null">#{ai82113},</if>
            <if test="hrsg1Ai82201 != null">#{hrsg1Ai82201},</if>
            <if test="hrsg1Ai82202 != null">#{hrsg1Ai82202},</if>
            <if test="hrsg1Ai82203 != null">#{hrsg1Ai82203},</if>
            <if test="hrsg1Ai82204 != null">#{hrsg1Ai82204},</if>
            <if test="hrsg1Ai82205 != null">#{hrsg1Ai82205},</if>
            <if test="hrsg1Ai82206 != null">#{hrsg1Ai82206},</if>
            <if test="hrsg1Ai82207 != null">#{hrsg1Ai82207},</if>
            <if test="hrsg1Ai82208 != null">#{hrsg1Ai82208},</if>
            <if test="hrsg1Ai82209 != null">#{hrsg1Ai82209},</if>
            <if test="hrsg1Ai82210 != null">#{hrsg1Ai82210},</if>
            <if test="hrsg1Ai82211 != null">#{hrsg1Ai82211},</if>
            <if test="hrsg1Ai82212 != null">#{hrsg1Ai82212},</if>
            <if test="hrsg1Air12551 != null">#{hrsg1Air12551},</if>
            <if test="hrsg1Air12552 != null">#{hrsg1Air12552},</if>
            <if test="hrsg1Air12553 != null">#{hrsg1Air12553},</if>
            <if test="hrsg1Air12554 != null">#{hrsg1Air12554},</if>
            <if test="hrsg1Air12555 != null">#{hrsg1Air12555},</if>
            <if test="hrsg1Air12556 != null">#{hrsg1Air12556},</if>
            <if test="hrsg1Air12557 != null">#{hrsg1Air12557},</if>
            <if test="hrsg1Air12558 != null">#{hrsg1Air12558},</if>
            <if test="hrsg2Ai82301 != null">#{hrsg2Ai82301},</if>
            <if test="hrsg2Ai82302 != null">#{hrsg2Ai82302},</if>
            <if test="hrsg2Ai82303 != null">#{hrsg2Ai82303},</if>
            <if test="hrsg2Ai82304 != null">#{hrsg2Ai82304},</if>
            <if test="hrsg2Ai82305 != null">#{hrsg2Ai82305},</if>
            <if test="hrsg2Ai82306 != null">#{hrsg2Ai82306},</if>
            <if test="hrsg2Ai82307 != null">#{hrsg2Ai82307},</if>
            <if test="hrsg2Ai82308 != null">#{hrsg2Ai82308},</if>
            <if test="hrsg2Ai82309 != null">#{hrsg2Ai82309},</if>
            <if test="hrsg2Ai82310 != null">#{hrsg2Ai82310},</if>
            <if test="hrsg2Ai82311 != null">#{hrsg2Ai82311},</if>
            <if test="hrsg2Ai82312 != null">#{hrsg2Ai82312},</if>
            <if test="hrsg2Air22551 != null">#{hrsg2Air22551},</if>
            <if test="hrsg2Air22552 != null">#{hrsg2Air22552},</if>
            <if test="hrsg2Air22553 != null">#{hrsg2Air22553},</if>
            <if test="hrsg2Air22554 != null">#{hrsg2Air22554},</if>
            <if test="hrsg2Air22555 != null">#{hrsg2Air22555},</if>
            <if test="hrsg2Air22556 != null">#{hrsg2Air22556},</if>
            <if test="hrsg2Air22557 != null">#{hrsg2Air22557},</if>
            <if test="hrsg2Air22558 != null">#{hrsg2Air22558},</if>
            <if test="hrsg2Qi22240 != null">#{hrsg2Qi22240},</if>
            <if test="hrsg2Qi22241 != null">#{hrsg2Qi22241},</if>
            <if test="hrsg2Qi22242 != null">#{hrsg2Qi22242},</if>
            <if test="hrsg3Ai82401 != null">#{hrsg3Ai82401},</if>
            <if test="hrsg3Ai82402 != null">#{hrsg3Ai82402},</if>
            <if test="hrsg3Ai82403 != null">#{hrsg3Ai82403},</if>
            <if test="hrsg3Ai82404 != null">#{hrsg3Ai82404},</if>
            <if test="hrsg3Ai82405 != null">#{hrsg3Ai82405},</if>
            <if test="hrsg3Ai82406 != null">#{hrsg3Ai82406},</if>
            <if test="hrsg3Ai82407 != null">#{hrsg3Ai82407},</if>
            <if test="hrsg3Ai82408 != null">#{hrsg3Ai82408},</if>
            <if test="hrsg3Ai82409 != null">#{hrsg3Ai82409},</if>
            <if test="hrsg3Ai82410 != null">#{hrsg3Ai82410},</if>
            <if test="hrsg3Ai82411 != null">#{hrsg3Ai82411},</if>
            <if test="hrsg3Ai82412 != null">#{hrsg3Ai82412},</if>
            <if test="hrsg3Air32551 != null">#{hrsg3Air32551},</if>
            <if test="hrsg3Air32552 != null">#{hrsg3Air32552},</if>
            <if test="hrsg3Air32553 != null">#{hrsg3Air32553},</if>
            <if test="hrsg3Air32554 != null">#{hrsg3Air32554},</if>
            <if test="hrsg3Air32555 != null">#{hrsg3Air32555},</if>
            <if test="hrsg3Air32556 != null">#{hrsg3Air32556},</if>
            <if test="hrsg3Air32557 != null">#{hrsg3Air32557},</if>
            <if test="hrsg3Air32558 != null">#{hrsg3Air32558},</if>
            <if test="hrsg3Qi32240 != null">#{hrsg3Qi32240},</if>
            <if test="hrsg3Qi32241 != null">#{hrsg3Qi32241},</if>
            <if test="hrsg3Qi32242 != null">#{hrsg3Qi32242},</if>
        </trim>
    </insert>

</mapper>